---
title: eSign Link Generation
description: Generate an eSign link for obtaining signatures on a document or agreement.
---

This API is for generating esign link for getting signatures on some document or agreement. After generating the link, user can browse and complete his eSign process. In this process, user will receive eSigned document via mail. We must pass docrefid, email, first name, last name, mobile no and doc link in request. If the request has valid details, we will get a unique link for esign.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/esign/api/create-esign-request
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | string = param + secret_key;<br>sha256(<concate all values+SECRET KEY>); | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| docrefid  required | Alphanumeric | Document reference id (length 1-7) Will be provided by airpay | `55AAVB8` |
| email  required | Text | Email (length 1-120) | `xyz@airpay.co.in` |
| first_name  optional | Text | First name (min-2, max-100) | `Prasanth` |
| last_name  optional | Text | Last name (min-2, max-100) | `krishna` |
| mobile_no  optional | Numeric | Mobile number (length 1-10) | `7558599593` |
| doclink  optional | Alphanumeric | Doc link (length 1-125) Must be unique. | `https://examples.airpay.co.in/admin/esign_html_template/100035` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | Status code (length 1-3) | `200` |
| message  required | Text | Message<br>Success - 200 (The transaction is success)<br>Transaction in Process - 211 (The transaction is processing)<br>Failed - 400 (The transaction is failed)<br>Dropped - 401 (The transaction will not register properly)<br>Cancel - 402 (payment that has not yet been processed)<br>Incomplete - 403 (Not recieved any call back from bank)<br>Bounced - 405 (The transaction has bounced)<br>No Records - 503 (There are no records found) | `success` |
| txn_id  required | Alphanumeric | Transaction id | `1048` |
| url  required | Text | Generated Esign link | `https://www.test_arpy.in/cPoTe1kh3` |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/create-esign-request' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'docrefid="55AAVB8"' \
--form 'email="xyz@airpay.co.in"' \
--form 'doclink="https://examples.airpay.co.in/admin/esign_html_template/100035"' \
--form 'mobile_no="7558599593"' \
--form 'first_name="Prasanth"' \
--form 'last_name="krishna"'
```

### Success Response

```json
HTTP/1.1 200 OK
{
     "status": 200,
     "message": "success",
     "txn_id": 1048,
     "url": "https://www.test_arpy.in/cPoTe1kh3"
}
```

### Error Response

```json
HTTP/1.1 400 Failed
 {
     "status": 400,
     "message": "Documnent reference id does not exist"
 }
```